Package com.sas.lsaf.workflow.processflow

## Class DataProperty

- java.lang.Object
- - com.sas.lsaf.workflow.processflow.DataProperty

- All Implemented Interfaces:
    `java.io.Serializable`

      public class DataProperty
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents a form property in a process flow that is specified with the start event in a process flow definition.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DataProperty.Type` | The property types.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataProperty​(java.lang.String id, java.lang.String name, DataProperty.Type type, java.io.Serializable value)` | It is not intended or recommended that the consumer of the API construct these objects.
    `DataProperty​(java.lang.String id, java.lang.String name, DataProperty.Type type, java.io.Serializable value, java.util.Map<java.lang.String,​java.lang.String> values, java.lang.String datePattern)` | It is not intended or recommended that the consumer of the API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` | Indicates whether some other object is "equal to" this one.
    `java.lang.String` | `getDatePattern()` | Gets the date pattern of the data property as defined in the process flow definition.
    `java.lang.String` | `getId()` | Gets the identifier of the data property as defined in the process flow definition.
    `java.lang.String` | `getName()` | Gets the name of the data property as defined in the process flow definition.
    `DataProperty.Type` | `getType()` | Gets the type of the data property as defined in the process flow definition.
    `java.io.Serializable` | `getValue()` | Gets the value of the data property.
    `java.util.Map<java.lang.String,​java.lang.String>` | `getValues()` | Gets the values of the data property as defined in the process flow definition.
    `int` | `hashCode()` | Returns a hash code value for the object.
    `void` | `setValue​(java.io.Serializable value)` | Sets the value of the data property.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataProperty

          public DataProperty​(java.lang.String id,
                              java.lang.String name,
                              DataProperty.Type type,
                              java.io.Serializable value,
                              java.util.Map<java.lang.String,​java.lang.String> values,
                              java.lang.String datePattern)

      It is not intended or recommended that the consumer of the API construct these objects. They should only retrieved `DataProperty` objects from the API.
      Parameters:
        `id` - The identifier of the data property.
        `name` - The name of the data property.
        `type` - The type of the data property.
        `value` - The value of the data property.
        `values` - The values of the data property. This is returned only from ENUM property types because it is the only type that has multiple values for selection.
        `datePattern` - The date pattern of the data property.

    - #### DataProperty

          public DataProperty​(java.lang.String id,
                              java.lang.String name,
                              DataProperty.Type type,
                              java.io.Serializable value)

      It is not intended or recommended that the consumer of the API construct these objects. They should only retrieved `DataProperty` objects from the API.
      Parameters:
        `id` - The identifier of the data property.
        `name` - The name of the data property.
        `type` - The type of the data property.
        `value` - The value of the data property.

  - ### Method Detail

    - #### getDatePattern

          public java.lang.String getDatePattern()

      Gets the date pattern of the data property as defined in the process flow definition.
      Returns:
        The date pattern of the data property.

    - #### getValues

          public java.util.Map<java.lang.String,​java.lang.String> getValues()

      Gets the values of the data property as defined in the process flow definition.
      Returns:
        The values of the data property.

    - #### getId

          public java.lang.String getId()

      Gets the identifier of the data property as defined in the process flow definition.
      Returns:
        The identifier of the data property.

    - #### getName

          public java.lang.String getName()

      Gets the name of the data property as defined in the process flow definition.
      Returns:
        The name of the data property.

    - #### getValue

          public java.io.Serializable getValue()

      Gets the value of the data property.
      Returns:
        The value of the data property.

    - #### setValue

          public void setValue​(java.io.Serializable value)

      Sets the value of the data property.
      Parameters:
        `value` - The value of the data property.

    - #### getType

          public DataProperty.Type getType()

      Gets the type of the data property as defined in the process flow definition.
      Returns:
        The type of the data property.

    - #### hashCode

          public int hashCode()

      Returns a hash code value for the object.
      Overrides:
        `hashCode` in class `java.lang.Object`
      See Also:
        `Object.hashCode()`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Indicates whether some other object is "equal to" this one.
      Overrides:
        `equals` in class `java.lang.Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`